<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            <!-- {{'global.field.id' | translate}} : {{packageReceipt.idPackage}} -->
            <ul class="nav justify-content-end">
                <li class="nav-item">
                    <a class="btn" (click)="previousState()" style="cursor: pointer;"><i class="fa fa-ban"></i> &nbsp;{{'entity.action.cancel' | translate}}</a>
                </li>
                <li class="nav-item">
                    <a class="btn" (click)="save()" href="javascript:void(0)" style="cursor: pointer;"><i class="fa fa-save"></i> &nbsp;{{'entity.action.save' | translate}}</a>
                </li>
            </ul>
        </p-header>
        <div class="card-deck" style="margin-bottom: 15px;">
            <div class="card">
                <div class="card-block">
                    <div class="form-group" [hidden]="!packageReceipt.idPackage">
                        <label for="id" jhiTranslate="global.field.id">ID</label>
                        <input type="text" class="form-control" id="id" name="id" [(ngModel)]="packageReceipt.idPackage" readonly />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.documentNumber" for="field_documentNumber">Document Number</label>
                        <input type="text" class="form-control" name="documentNumber" id="field_documentNumber"
                            [(ngModel)]="packageReceipt.documentNumber"  />
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.vendorInvoice" for="field_vendorInvoice">Vendor Invoice</label>
                        <input type="text" class="form-control" name="vendorInvoice" id="field_vendorInvoice"
                            [(ngModel)]="packageReceipt.vendorInvoice"  />
                    </div>

                    <div class="form-group">
                        <label jhiTranslate="mpmApp.packageReceipt.internal" for="field_internal">Internal</label>
                        <select class="form-control" id="field_internal" name="internal" [(ngModel)]="packageReceipt.internalId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="internalOption.idInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label jhiTranslate="mpmApp.packageReceipt.shipFrom" for="field_shipFrom">Ship From</label>
                        <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="packageReceipt.shipFromId" >
                            <option [ngValue]="null"></option>
                            <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label class="form-control-label" jhiTranslate="mpmApp.packageReceipt.dateCreated" for="field_dateCreated">Date Created</label>
                        <div class="input-group">
                            <p-calendar inputId="field_dateCreated" name="input_dateCreated" [(ngModel)]="packageReceipt.dateCreated"
                                dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                                [showIcon]="true"></p-calendar>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <jhi-unit-shipment-receipt-as-list [idShipmentPackage]="idPackage"></jhi-unit-shipment-receipt-as-list>
    </p-panel>
</form>
<p-confirmDialog></p-confirmDialog>